/* Copyright (c) Stichting Mathematisch Centrum, Amsterdam, 1988. */

#include "b.h"
#include "bint.h"
#include "bmem.h"
#include "bobj.h"
#include "i2par.h"
#include "i3scr.h"
#include "i3sou.h"
#include "i4bio.h"

Visible Procedure abcio(option, name_arg) char option, *name_arg; {
	sv_ifile= ifile= stdin;
	
	switch (option) {
		case 'i':
			abcinput(name_arg);
			break;
		case 'o':
			abcoutput(name_arg);
			break;
		case 'l':
			abclist(stdout);
			break;
		case 'p':
			abcpack(stdout);
			break;
		case 'r':
			if (!ws_recovered)
				rec_workspace();
			break;
		case 'R':
			if (!gr_recovered)
				rec_wsgroup();
			break;
	}
}

Visible Procedure bioerr(m) int m; {
	putmess(errfile, m);
}

Visible Procedure bioerrV(m, v) int m; value v; {
	putSmess(errfile, m, strval(v));
}
