/* Copyright (c) Stichting Mathematisch Centrum, Amsterdam, 1988. */

#include "b.h"
#include "bmem.h"
#include "bobj.h"
#include "bfil.h"
#include "i3sou.h"
#include "i4bio.h"

/* list howto's */

Visible Procedure abclist(ofp) FILE *ofp; {
	intlet k, len;
	FILE *fp;
	value fname;
	char *line;
	
	len= length(b_perm);
	for (k= 0; k<len && !Interrupted(); ++k) {
		fname= *assoc(b_perm, k);
		if (!Is_text(fname) || !unitfile(fname))
			continue;
		fp= fopen(strval(fname), "r");
		if (fp == NULL)
			continue;
		while (!interrupted && (line= f_getline(fp)) != NULL) {
			fputs(line, ofp);
			fflush(ofp);
			freestr(line);
		}
		fclose(fp);
		putc('\n', ofp);
		fflush(ofp);
	}
}
